/*
 * Copyright 2020 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

#include <string.h>

#include <starlet.h>

typedef long long int _int64;

#include "tim.h"

int get_tim_data(char *buf, int buflen)
{
    _int64 t;
    sys$gettim(&t, 0);
    int len = (buflen >= sizeof(t)) ? sizeof(t) : buflen;
    memcpy(buf, &t, len);
    return len;
}

